package com.platform.yijia.service.impl;

import java.util.List;
import java.util.Map;

import com.platform.yijia.dao.StationClassesSummaryMapper;
import com.platform.yijia.pojo.StationClassesSummary;
import com.platform.yijia.service.IStationClassesSummaryService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author yijia
 * @date 2020-12-28
 */
@Service("IStationClassesSummaryService")
public class StationClassesSummaryServiceImpl implements IStationClassesSummaryService
{
    @Resource
    private StationClassesSummaryMapper stationClassesSummaryMapper;

    @Override
    public List<Map> getStationClassesSummaryList(StationClassesSummary stationClassesSummary) {
        return stationClassesSummaryMapper.getStationClassesSummaryList(stationClassesSummary);
    }

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public StationClassesSummary selectStationClassesSummaryById(Long id)
    {
        return stationClassesSummaryMapper.selectStationClassesSummaryById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param stationClassesSummary 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<StationClassesSummary> selectStationClassesSummaryList(StationClassesSummary stationClassesSummary)
    {
        return stationClassesSummaryMapper.selectStationClassesSummaryList(stationClassesSummary);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param stationClassesSummary 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertStationClassesSummary(StationClassesSummary stationClassesSummary)
    {
        return stationClassesSummaryMapper.insertStationClassesSummary(stationClassesSummary);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param stationClassesSummary 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateStationClassesSummary(StationClassesSummary stationClassesSummary)
    {
        return stationClassesSummaryMapper.updateStationClassesSummary(stationClassesSummary);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteStationClassesSummaryByIds(Long[] ids)
    {
        return stationClassesSummaryMapper.deleteStationClassesSummaryByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteStationClassesSummaryById(Long id)
    {
        return stationClassesSummaryMapper.deleteStationClassesSummaryById(id);
    }
}
